MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024600Open CASCADE[OCCT] Website:Trackerpublic2014-02-05 16:112016-04-27 11:16
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0024600: Bugs in the category - automatic notifications for the list of persons
DescriptionCurrently each OCCT component has predefined maintainer in Mantis. This allows automatically assign new issues to correct persons when appropriate field is left empty.

However this technique has several disadvantages:
- Only one person can be assigned for this position
- Reporter might accidentally assign issue to wrong person

This is desired to automatically add predefined list of maintainers / active developers to the whole category regardless of specified "Assign To" field (but taking into account security restrictions). For example - user kgv for OCCT:VISUALIZATION.
Steps To ReproduceGo to My Account > Preferences and find new option "Watch for categories"
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0026996newbri Open CASCADE Mantis - hide "Assign To" field in "Report Issue" form 
related to 0027292closedbugmaster Open CASCADE Mantis - add possibility to get notifications on changes in particular part of code at review stage 

-  Notes
(0051806)
aiv (reporter)
2016-03-21 12:46

I think the key issue is that several people should receive email notifications on issues in a certain category, but not the feature of assigning category to a group of users, itself. Right? (E.g, you said "This allows automatically assign new issues to correct persons when appropriate field is left empty." In case of assigning categories to several people how this feature should to work?)

So, I'd propose not to touch the core MantisBT functionality of assigning categories to one person. Instead, I'd propose to add an option that allows us to manage lists of category "listeners" (people, who will receive notifications for all issues in the category), per category. If possible, I'll try to add such lists of users to the Edit Category page.

Along with that, I'm going to fix 0026996, #0026126. Does this satisfy all your needs?
(0051810)
abv (manager)
2016-03-21 13:48

I would suggest a slightly different approach: adding an option to the user's preferences allowing him to select categories which he would like to monitor. This will be consistent with other notification settings; in addition, we will need similar setting allowing a person to monitor changes in some sub-set of OCCT code (a subject of separate issue).
(0053524)
aiv (reporter)
2016-04-22 21:03

Implemented following the latest comment. It works now for any user with global status 'developer' and above: go to My Account > Preferences
It's done as a plugin called "WatchCategory".

- Issue History
Date Modified Username Field Change
2014-02-05 16:11 kgv New Issue
2014-02-05 16:11 kgv Assigned To => aiv
2015-04-22 23:44 kgv Relationship added related to 0026126
2016-03-15 11:03 aiv Relationship added related to 0026998
2016-03-15 11:11 aiv Relationship added related to 0026996
2016-03-21 12:46 aiv Note Added: 0051806
2016-03-21 13:48 abv Note Added: 0051810
2016-03-21 14:32 abv Relationship added related to 0027292
2016-04-22 21:03 aiv Note Added: 0053524
2016-04-22 21:03 aiv Assigned To aiv => bugmaster
2016-04-22 21:03 aiv Status new => resolved
2016-04-22 21:03 aiv Steps to Reproduce Updated View Revisions
2016-04-27 11:16 bugmaster Status resolved => closed
2016-04-27 11:16 bugmaster Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker